<i18n>
{
  "fr": {
    "ges-1point5": "<em>Labos 1point5</em> mène une étude scientifique nationale relative à l’<strong>empreinte carbone</strong> de la <strong>recherche publique française</strong> pour nourrir la réflexion sur les leviers d'actions permettant de réduire son impact sur le climat et l'environnement.<br/><div class='has-text-left'><strong>Pourquoi utiliser GES 1point5 ?</strong></div>",
    "nghgi": "#bilans GES",
    "nlaboratories": "#laboratoires",
    "ninitiatives": "#initiatives",
    "labos-1point5": "Le collectif",
    "labos-1point5-description": "<em>Labos 1point5</em> est un collectif de membres du monde académique, de toutes disciplines et sur tout le territoire, partageant un objectif commun : mieux comprendre et <strong>réduire l'impact des activités de recherche scientifique sur l'environnement</strong>, en particulier sur <strong>le climat</strong>. <br /> Ses activités sont organisées au sein d’un <a class='link' target='_blank' href='https://labos1point5.org/le-gdr'><strong>groupement de recherche</strong></a> (GDR) et d'une <a class='link' target='_blank' href='https://labos1point5.org/reflexion'><strong>équipe de réflexion</strong></a>.<div style='margin-top:40px'></div>",
    "the-answer": "La réponse en",
    "points": "points",
    "why-ges": "Pourquoi utiliser GES 1point5 ?",
    "initiatives": "Les initiatives",
    "initiatives-description": "Les initiatives proposées par des laboratoire dans toute la France se positionnent dans l'axe Transition de Labos 1point5 qui vise à accompagner et faciliter la mise en place de <strong>trajectoires de réduction des GES</strong>. <br /> Le point de départ du <strong>réseau</strong> des laboratoires en transition (à venir).<div style='margin-top:44px'></div>"
  },
  "en": {
    "ges-1point5": "<em>Labos 1point5</em> launches a national scientific study on the <strong>carbon footprint</strong> of the <strong>French public research</strong> to provide food for thought on the levers of action to reduce its impact on the climate and the environment.<br/><div style='text-align:left'><br/><strong>Why use GES 1point5?</strong></div>",
    "nghgi": "#GHG inventories",
    "nlaboratories": "#laboratories",
    "ninitiatives": "#initiatives",
    "labos-1point5": "The collective",
    "labos-1point5-description": "<div style='margin-top:30px' /><em>Labos 1point5</em> is an international, cross-disciplinary collective of academic researchers who share a common goal: to better understand and <strong>reduce the environmental impact of research</strong>, especially on the Earth’s <strong>climate</strong>. <br /><br /> Its activities are organized within a <a class='link' target='_blank' href='https://labos1point5.org/le-gdr'><strong>research group</strong></a> and a <a class='link' target='_blank' href='https://labos1point5.org/reflexion'><strong>think tank</strong></a>.<div style='margin-top:44px' />",
    "the-answer": "The answer in",
    "points": "points",
    "why-ges": "Why use GES 1point5 ?",
    "initiatives": "Initiatives",
    "initiatives-description": "The initiatives proposed by laboratories throughout France are part of the Transition axis of Labos 1point5, which aims to support and facilitate the implementation of <strong>GHG reduction trajectories</strong>. The starting point of the <strong>network</strong> of laboratories in transition (up coming).<div style='margin-top:44px'></div>"
  }
}
</i18n>

<template>
  <div class="home">
    <section class="section is-small" style="padding-bottom:0">
      <div class="container">
        <div class="content-wrapper" style="margin-top:-260px">
          <div class="columns">
            <div class="column is-one-third">
              <div class="boxicon is-bordered has-text-centered boxicon-home" data-animation="fadeInLeft">
                <div class="bicon">
                  <router-link class="link" :to="{ name: 'ges-1point5' }"><b-icon icon="thermometer-4"></b-icon></router-link>
                </div>
                <h4>GES 1point5</h4>
                <p class="has-text-centered" style="margin-bottom:10px">
                  <span v-html="$t('ges-1point5')"> </span>
                  <span><div style="text-align:right">
                    {{ $t('the-answer') }}
                    <strong><a class="link" @click="displayPkoi=true">5 {{ $t('points') }}</a></strong>.
                  </div></span>
                  <nav class="level" style="margin-top:20px">
                    <div class="level-item has-text-centered">
                      <div>
                        <p class="heading">{{ $t('nghgi') }}</p>
                        <p class="title">
                          <template v-if="!isLoading">{{ nGHGI }}</template>
                          <b-skeleton height="26px" width="50px" :active="isLoading"></b-skeleton>
                        </p>
                      </div>
                    </div>
                    <div class="level-item has-text-centered">
                      <div>
                        <p class="heading">{{ $t('nlaboratories') }}</p>
                        <p class="title">
                          <template v-if="!isLoading">{{ nLaboratory }}</template>
                          <b-skeleton height="26px" width="50px" :active="isLoading"></b-skeleton>
                        </p>
                      </div>
                    </div>
                  </nav>
                </p>
              </div>
            </div>
            <div class="column is-one-third">
              <div class="boxicon is-bordered has-text-centered boxicon-home" data-animation="fadeInLeft">
                <div class="bicon">
                  <a target="_blank" href="https://labos1point5.org" class="link">
                    <div style="z-index:1;margin-top:-40px;margin-left:-37px;background-color: rgb(255, 255, 255); position: relative; padding: 5px; border-radius: 100%; vertical-align: middle; display: inline-grid;">
                      <img src="../assets/LogoRond_BlancPourEcran.png" style="max-width: 90px; border-radius: 50%; background-color: rgba(52, 59, 64, 1);">
                    </div>
                  </a>
                </div>
                <h4>{{ $t('labos-1point5') }}</h4>
                <p class="has-text-centered" style="margin-bottom:10px">
                  <span v-html="$t('labos-1point5-description')"> </span>
                </p>
              </div>
            </div>
            <div class="column is-one-third">
              <div class="boxicon is-bordered has-text-centered boxicon-home" data-animation="fadeInLeft">
                <div class="bicon">
                  <router-link class="link" :to="{ name: 'les-initiatives' }"><b-icon icon="lightbulb-o"></b-icon></router-link>
                </div>
                <h4>{{ $t('initiatives') }}</h4>
                <p class="has-text-centered" style="margin-bottom:10px">
                  <span v-html="$t('initiatives-description')"> </span>
                  <nav class="level" style="margin-top:20px">
                    <div class="level-item has-text-centered">
                      <div>
                        <p class="heading">{{ $t('ninitiatives') }}</p>
                        <p class="title">
                          <template v-if="!isLoading">{{ nbInitiative }}</template>
                          <b-skeleton height="26px" width="50px" :active="isLoading"></b-skeleton>
                        </p>
                      </div>
                    </div>
                  </nav>
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <b-modal
      :active.sync="displayPkoi"
      has-modal-card
      style="z-index:9999"
    >
      <div class="modal-card" style="width: 1000px; height: auto;z-index:9999">
        <header class="modal-card-head">
          <p class="modal-card-title">
            {{ $t('why-ges') }}
          </p>
        </header>
        <section class="modal-card-body">
          <why-ges-1point5 />
        </section>
      </div>
    </b-modal>
  </div>
</template>

<script>
import carbonService from '@/services/carbonService'

export default {
  name: 'home',
  components: {
    'why-ges-1point5': () => import('@/components/carbon/docs/WhyGES1point5.vue')
  },
  data () {
    return {
      displayPkoi: false,
      isLoading: false,
      nLaboratory: 0,
      nGHGI: 0,
      nbInitiative: 0
    }
  },
  mounted () {
    this.isLoading = true
    carbonService.getCounts()
      .then(data => {
        this.isLoading = false
        this.nGHGI = data.nGHGI
        this.nLaboratory = data.nLaboratory
        this.nbInitiative = data.nbInitiative
      })
      .catch((erreur) => {
        this.isLoading = false
      })
  }
}
</script>

<style>
.tabs.is-toggle li.is-active a {
  background-color:  rgba(83, 135, 175, 0.1);
  border-color: rgb(66, 128, 176);
}
.b-skeleton-item {
  margin: auto
}
</style>
